All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.support
Class BaseSwingActionProviderCompositeSupport

    com.sas.actionprovider.support.BaseSwingActionProviderCompositeSupport

Direct Known Subclasses:
  SwingRemoteFileSelectorCompositeSupport

    public abstract class BaseSwingActionProviderCompositeSupport

The BaseActionProviderCompositeSupport class is the base class for all Swing composite support classes of the Action Provider Framework( APF ). Support classes provide the functionality for registering and accessing Actions.

A composite support class is a grouping mechanism for other support classes. It allows a support class developer to group together different support classes to serve the needs of specialized view components. For example:

The HttpRemoteFileSelector Transformation Bean acquires it actions from a composite support class. This HttpRemoteFileSelectorComposite support delegates all requests for actions of table-type areas to the HttpRemoteFileSelectorTableViewSupport.

A basic understanding of the ActionProvider Framework, of which this class is a part, is recommended before attempting to use this class.

- For general information on the ActionProvider Framework, including an overview of how the primary classes of the framework work together, refer to the ``com.sas.actionprovider`` package documentation.

- For examples demonstrating how to use the ActionProvider Framework, including how to override default Actions or add new custom Actions, refer to the Samples Site.

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.1
See Also:
  `RemoteFileSelector`, `HttpRemoteFileSelectorCompositeSupport`, `HttpRemoteFileSelectorTableViewSupport`

Field Summary

Fields inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`AREA_DISABLED, AREA_VALUE_ATTRKEY, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, NON_SPECIFIC_AREA, UNSUPPORTED, VIEWER_DISABLED`

Constructor Summary
`BaseSwingActionProviderCompositeSupport(java.lang.Class actionClass)` ActionClass Constructor

Method Summary
`protected java.lang.Class` | `getSupportClass(java.lang.String supportClassName)` Returns the support class associated with the specified support class name.

Methods inherited from class com.sas.actionprovider.support.BaseActionProviderCompositeSupport
`addSupport, addSupportClassInstances, getAction, getActionOrderList, getActions, getAreaScopeAttributeMap, getDefaultAction, getSupportInstance, initialize, listActionTypes, listAreaTypes, newActionInstance, reset, setAction, setActionOrderList, setActionProvider, setLocale, validArea, validateSupport`

Methods inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`addDefaultAction, getActionId, getActionProvider, getActionScopeAttribute, getActionScopeAttributeMap, getLocale, listDefaultActions`

Constructor Detail

### BaseSwingActionProviderCompositeSupport

    public BaseSwingActionProviderCompositeSupport(java.lang.Class actionClass)

  ActionClass Constructor

  Parameters:
    `actionClass` - The class used to instantiate new actions.

Method Detail

### getSupportClass

    protected java.lang.Class getSupportClass(java.lang.String supportClassName)

  Returns the support class associated with the specified support class name.

  Specified by:
    `getSupportClass` in class `BaseActionProviderCompositeSupport`
  Parameters:
    `supportClassName` - The support type key of the class being requested.
  Returns:
    the support class associated with the specified supportType.
  Throws:
    `java.lang.IllegalStateException` - if support class could not be loaded.
    `java.lang.IllegalArgumentException` - if support class name is null.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.